# expand-tinyurl.rb

Path: | lib/plugins/expand-tinyurl.rb
Last Update: | Wed Aug 22 18:37:11 +0000 2012

### Methods

expand_url

### Constants

URL_SHORTTERS

=

[ {:host => "tinyurl.com", :pattern => %r'(http://tinyurl\.com(/[\w/]+))'}, {:host => "is.gd", :pattern => %r'(http://is\.gd(/[\w/]+))'}, {:host => "bit.ly", :pattern => %r'(http://bit\.ly(/[\w/]+))'}, {:host => "ff.im", :pattern => %r'(http://ff\.im(/[-\w/]+))'}, {:host => "j.mp", :pattern => %r'(http://j\.mp(/[\w/]+))'}, {:host => "goo.gl", :pattern => %r'(http://goo\.gl(/[\w/]+))'}, {:host => "tr.im", :pattern => %r'(http://tr\.im(/[\w/]+))'}, {:host => "short.to", :pattern => %r'(http://short\.to(/[\w/]+))'}, {:host => "ow.ly", :pattern => %r'(http://ow\.ly(/[\w/]+))'}, {:host => "u.nu", :pattern => %r'(http://u\.nu(/[\w/]+))'}, {:host => "twurl.nl", :pattern => %r'(http://twurl\.nl(/\w+))'}, {:host => "icio.us", :pattern => %r'(http://icio\.us(/\w+))'}, {:host => "htn.to", :pattern => %r'(http://htn\.to(/\w+))'}, {:host => "cot.ag", :pattern => %r'(http://cot\.ag(/\w+))'}, {:host => "ht.ly", :pattern => %r'(http://ht\.ly(/\w+))'}, {:host => "p.tl", :pattern => %r'(http://p\.tl(/\w+))'}, {:host => "url4.eu", :pattern => %r'(http://url4\.eu(/\w+))'}, {:host => "t.co", :pattern => %r'(http://t\.co(/\w+))'}, ]

### Public Instance methods

expand_url(host, path)

[Validate]